
Redmine - Defect #31779

Total estimated time column shown even when estimated time field is deactivated

2019-07-23 17:55 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version: 3.4.12   

Resolution: Fixed Affected version:  

Description

Even when the estimated time field is deactivated in the trackers available in the issue list the total estimated time column is

available. This diff patches this issue, though maybe fixing it in Tracker.disabled_core_fields would be better.

--- a/app/models/issue_query.rb

+++ b/app/models/issue_query.rb

@@ -288,6 +288,7 @@ class IssueQuery < Query

     end

     disabled_fields = Tracker.disabled_core_fields(trackers).map {|field| field.sub(/_id$/, '')}

+    disabled_fields << "total_estimated_hours" if disabled_fields.include?("estimated_hours")

     @available_columns.reject! {|column|

       disabled_fields.include?(column.name.to_s)

     }

Associated revisions

Revision 18743 - 2019-10-19 10:30 - Jean-Philippe Lang

Fixed that total estimated time column is shown even when estimated time field is deactivated (#31779).

Patch by Felix Schäfer and Yuichi HARADA.

Revision 18744 - 2019-10-19 10:37 - Jean-Philippe Lang

Merged r18743 to 4.0-stable (#31779).

Revision 18745 - 2019-10-19 10:37 - Jean-Philippe Lang

Merged r18743 to 3.4-stable (#31779).

History

#1 - 2019-07-29 03:50 - Kevin Fischer

Since it's not a "core field" in the original sense, fixing it here seems good to me

+1

#2 - 2019-08-20 07:54 - Go MAEDA

- Target version set to 4.0.5

#3 - 2019-09-18 06:58 - Yuichi HARADA

- File 31779_add_test.patch added

Felix Schäfer wrote:

Even when the estimated time field is deactivated in the trackers available in the issue list the total estimated time column is available. This diff

patches this issue, though maybe fixing it in Tracker.disabled_core_fields would be better.

[...]
 I created a test. I attached a patch.

#4 - 2019-09-18 14:49 - Go MAEDA

- Target version changed from 4.0.5 to 3.4.12

#5 - 2019-10-19 10:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

Files

31779_add_test.patch 1.12 KB 2019-09-18 Yuichi HARADA
